Add Secondary Clusters (V2)
Adds one or more secondary clusters. New secondary clusters use the existing Global Cluster CU specification.
The base URL for this API is in the following format:
https://api.cloud.zilliz.com
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export BASE_URL="https://api.cloud.zilliz.com"
The authentication token should be an API key with appropriate privileges.
ID of the Global Cluster.
Secondary clusters to add.
A secondary cluster to add to the global cluster, specified by clusterName and regionId.
Secondary cluster display name.
Secondary cluster region ID.
export TOKEN="YOUR_API_KEY"
export globalClusterId="glo-xxxxxxxxxxxxxxx"
curl --request POST \
--url "${BASE_URL}/v2/globalClusters/${globalClusterId}/secondaryClusters" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"secondaryClusters": [
{
"clusterName": "secondary-cluster-ap",
"regionId": "aws-ap-southeast-1"
}
]
}'
Returns the add-secondary-cluster job.
The outcome of adding one or more secondary clusters to the global cluster.
Job ID for the asynchronous operation.
Returns an error message.
Response code.
Error message.
{
"jobId": "job-xxxxxxxxxxxxxxx"
}